Bug 1412019 - HPE [RFE] [Blazar] Resource reservation
Summary: HPE [RFE] [Blazar] Resource reservation
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Eoghan Glynn
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks: 1419948 1465537
TreeView+ depends on / blocked
 
Reported: 2017-01-11 01:33 UTC by hrushi
Modified: 2019-09-09 14:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-15 20:30:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description hrushi 2017-01-11 01:33:01 UTC
Both customers and ETSI standard demand resource reservation feature to be provided by VIM. HPE is actively participating in bring back openstack blazar back into works. This requirement suggest making blazar as part of RHOSP. 

 -	https://blueprints.launchpad.net/blazar/+spec/stop-using-customized-filter  - Stop using customized scheduler filter to improve interoperability
-	https://blueprints.launchpad.net/blazar/+spec/update-reserved-capacity    - Allow users to update reserved resource capacity
-	https://blueprints.launchpad.net/blazar/+spec/terminate-lease-at-anytime  - Allow users to terminate lease at anytime


	https://review.openstack.org/#/c/406666/   - Updated versions of few required libraries
	https://review.openstack.org/#/c/403369/ - Replace tempest logging module with oslo_log
	https://review.openstack.org/#/c/407202/ - Update default environment list
	https://review.openstack.org/#/c/409067/ - Use jsonutils from oslo.serialization

Comment 2 Stephen Gordon 2017-01-24 18:56:37 UTC
I do not envisage we will have scope to include this in the RHOSP 12 release cycle. The easiest way to assist with speeding things up from a partner perspective would be to contribute packaging, puppet, etc. related enablement in the relevant upstreams. Flagging for re-evaluation in 13 cycle.


Note You need to log in before you can comment on or make changes to this bug.